Uploaded image for project: 'DSpace'
  1. DSpace
  2. DS-2251

Flyway: Incorrect detection of db version (due to wide rights)

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Trivial
    • Resolution: Fixed
    • Affects Version/s: 5.0
    • Fix Version/s: 5.0
    • Component/s: DSpace API
    • Labels:
    • Environment:
      DB: Oracle
    • Attachments:
      0
    • Comments:
      1
    • Documentation Status:
      In Description

      Description

      Flyway detects incorrect version of DSpace DB (migration 1.7 -> 5.x)

      If the database user has granted rights to another database objects (e.g. has powerfull dba role) and exists db objects with same name, flyway detects incorrect version od database.

      It's a really small probability, but it is possible (typically at testing instance).

      https://jira.duraspace.org/browse/DS-2244?focusedCommentId=38027&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-38027
      https://jira.duraspace.org/browse/DS-2244?focusedCommentId=38030&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-38030

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                tdonohue Tim Donohue
                Reporter:
                ctu-developers CTU Developers
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: